Subject: Re: bug#31623: 27.0; Elisp manual, index entry "; in comment"

From: Noam Postavsky <[email-masked]>
Date: Tue, 29 May 2018 20:14:33 -0400

Drew Adams <[email-masked]> writes:

> OK, if you say so. ;-)  I was thinking more about "in"
> meaning after `comment-start'.  But yes, I guess that's
> what was intended.
>
> If that's the intention then I think it might be clearer
> if the index entry were "; outside a comment" or maybe
> "; not in a comment".

A later sentence in `(elisp) Comments' has:

    The Lisp reader discards comments; they do not become part of the
    Lisp objects which represent the program within the Lisp system.

The discarded comment includes the leading ";", so I don't think it
makes sense to treat the comment starter as being outside the comment.

> In any case, that statement is not really true: a semicolon
> does not always start a comment in Lisp whenever it is not
> within a string or a character constant.  There is also the
> case of it being escaped in a symbol name.  E.g.,
>
> (setq a\;b  42)
>
> (Dunno whether there are additional cases - perhaps not.)

I think not.  So add "unescaped"?

    In Lisp, an unescaped semicolon (`;') starts a comment if it is not
    within a string or character constant.